Imports System.Runtime.Remoting
Imports System.Runtime.Remoting.Channels
Imports System.Runtime.Remoting.Channels.Tcp

Module DbConnectSingletonServer

    Sub Main()
        ' Register a TCP server channel that
        ' listens on port 1234
        Dim channel As TcpServerChannel = _
         New TcpServerChannel(1234)
        ChannelServices.RegisterChannel(channel)

        ' Register the service that publishes 
        ' DbConnect for remote access in Singleton mode
        RemotingConfiguration. _
         RegisterWellKnownServiceType( _
         GetType(StepByStep3_10.DbConnect), "DbConnect", _
         WellKnownObjectMode.Singleton)
        Console.WriteLine("Started server in the " & _
         "Singleton mode")
        Console.WriteLine("Press <ENTER> to terminate " & _
         "server...")
        Console.ReadLine()
    End Sub

End Module
