Imports System.Runtime.Remoting
Imports System.Runtime.Remoting.Channels
Imports System.Runtime.Remoting.Channels.Tcp

Module DbConnectFactoryServer

    Sub Main()
        ' Register a TCP server channel that
        ' listens on port 1234
        Dim channel As TcpServerChannel = _
         New TcpServerChannel(1234)
        ChannelServices.RegisterChannel(channel)

        RemotingConfiguration.RegisterWellKnownServiceType( _
         GetType(DbConnectFactory), _
         "DbConnectFactory", _
         WellKnownObjectMode.Singleton)
        Console.WriteLine("Started server in the " & _
         "client activated mode")
        Console.WriteLine("Press <ENTER> to terminate " & _
         "server...")
        Console.ReadLine()
    End Sub

End Module
