Imports System.Runtime.Remoting
Imports System.Runtime.Remoting.Channels
Imports System.Runtime.Remoting.Channels.Tcp
Imports StepByStep3_10

Module DbConnectServer

    Sub Main()
        ' Create and Register a TCP server channel 
        ' that listens on port 1234
        Dim channel As TcpServerChannel = _
         New TcpServerChannel(1234)
        ChannelServices.RegisterChannel(channel)

        ' Create the remotable object here itself
        ' Call the RemotingServices.Marshal() method
        ' to marshal (serialize) the created remotable 
        ' object to transfer the object beyond application 
        ' boundaries with the specified uri
        Dim dbcPubs As DbConnect = New DbConnect("Pubs")
        RemotingServices.Marshal(dbcPubs, "Pubs.uri")

        Dim dbcNorthwind As DbConnect = _
         New DbConnect("Northwind")
        RemotingServices.Marshal( _
         dbcNorthwind, "Northwind.uri")

        Console.WriteLine("Started server in the " & _
         "Singleton mode")
        Console.WriteLine("Press <ENTER> to terminate " & _
         "server...")
        Console.ReadLine()
    End Sub

End Module
