Imports System
Imports System.Data
Imports System.Data.SqlClient
Imports System.Data.SqlTypes
Imports System.EnterpriseServices
Imports System.Runtime.InteropServices

Public Interface IShipping
    Sub ShipItem(ByVal customerID As String, _
     ByVal productID As Integer)
End Interface

<Transaction(TransactionOption.Supported), _
 ClassInterface(ClassInterfaceType.None), _
 Guid("5247F524-9AB6-4b37-8D63-E5BA2D60DC2E")> _
Public Class Shipping
    Inherits ServicedComponent
    Implements IShipping

    Dim sqlconn As SqlConnection

    Public Sub New()
        sqlconn = New SqlConnection( _
          "data source=(local);" & _
          "initial catalog=Northwind;" & _
           "integrated security=SSPI")
    End Sub

    <AutoComplete(True)> _
    Public Sub ShipItem(ByVal customerID As String, _
     ByVal productID As Integer) _
     Implements IShipping.ShipItem
        Dim sqlCmd As SqlCommand = New SqlCommand()
        Dim dt As SqlDateTime = _
         New SqlDateTime(DateTime.Now)
        sqlCmd.CommandText = String.Format( _
         "insert into Shipping (CustomerID, " & _
         "ProductID, DateTime) values " & _
         "('{0}', {1}, '{2}')", _
         customerID, productID, dt)
        sqlCmd.Connection = sqlconn
        sqlconn.Open()
        sqlCmd.ExecuteNonQuery()
    End Sub
End Class
