Imports System.Runtime.Remoting
Imports System.Runtime.Remoting.Channels
Imports System.Runtime.Remoting.Channels.Tcp

Module NorthwindSCServer

    Sub Main()
        ' Create and Register a TCP 
        ' server channel that 
        ' listens on port 1234
        Dim channel As TcpServerChannel = _
         New TcpServerChannel(1234)
        ChannelServices.RegisterChannel( _
         channel)

        ' Resgister the service that  
        ' publishes NorthwindSC for 
        ' remote access in Singleton mode
        RemotingConfiguration. _
         RegisterWellKnownServiceType( _
         GetType(Exercise7_1SC.NorthwindSC), _
         "NorthwindSC", _
         WellKnownObjectMode.Singleton)
        Console.WriteLine( _
         "Started server " & _
         "in the Singleton mode")
        Console.WriteLine( _
         "Press <ENTER> to  " & _
         "terminate server...")
        Console.ReadLine()
    End Sub

End Module
