Imports System
Imports System.Diagnostics

Public Enum FactorialSwitchLevel
    Negative = -1
    Off = 0
    Overflow = 1
    Both = 2
End Enum

Public Class FactorialSwitch
    Inherits Switch

    Public Sub New(ByVal DisplayName As String, _
     ByVal Description As String)
        MyBase.New(DisplayName, Description)
    End Sub

    Public Property Negative() As Boolean
        Get
            ' Return true if the SwitchSetting 
            ' is Negative or Both
            If ((SwitchSetting = -1) Or _
             (SwitchSetting = 2)) Then
                Return True
            Else
                Negative = False
            End If
        End Get
        Set(ByVal Value As Boolean)

        End Set
    End Property

    Public Property Overflow() As Boolean
        Get
            ' Return true if the SwitchSetting 
            ' is Overflow or Both
            If ((SwitchSetting = 1) Or _
             (SwitchSetting = 2)) Then
                Return True
            Else
                Negative = False
            End If
        End Get
        Set(ByVal Value As Boolean)

        End Set
    End Property
End Class
